# lm75_write_Thyst_mit_mem_1.py
# 25.11.2025
# www.g-heinrichs.de

# Thyst-Wert schreiben (Default-Wert: 75 °C)
# nur ganze nicht negative Zahlen

from time import sleep
from machine import Pin, I2C

i2c = I2C(1, scl = Pin(22), sda = Pin(21), freq = 100_000)

addr = 0x48
pointer = 2 # Thyst-Register
thyst_value = 25
thyst_value_byte = bytes([thyst_value])
i2c.writeto_mem(addr, pointer, thyst_value_byte)






